需要Nokogiri吗?没有这样的文件可以加载[英] Require Nokogiri? No such file to load

本文是小编为大家收集整理的关于需要Nokogiri吗?没有这样的文件可以加载的处理方法,想解了需要Nokogiri吗?没有这样的文件可以加载的问题怎么解决?需要Nokogiri吗?没有这样的文件可以加载问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我正在尝试开始使用 Nokogiri.我运行了命令

gem install nokogiri

在 Windows 7(64 位)中作为管理员.控制台显示"安装成功"和"已安装 1 个 gem".

当我输入时

gem list --local OR gem q --local

我在"本地宝石"列表中看到了 Nokogiri.

但是,当我尝试通过 require 语句(在 NetBeans 中)使用它时,我收到"没有要加载的文件"的错误.

我做错了什么?我不是 Ruby 专业人士.这也是我安装的第一个 gem.请帮我把它弄小点.

推荐答案

Netbeans 自带 jRuby.

您可以在项目的属性(高亮部分)中指定或检查项目中当前使用的 ruby​​ 版本.

在此处输入图片描述

本文地址:https://www.itbaoku.cn/post/786710.html